---
title: "Get call data by date range"
slug: "retrieve-call-data-by-date-range-v2calls-2"
updated: 2025-10-21T09:12:09Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List all calls

Get/v2/calls

List calls that took place during the specified date range.

Required authorizaton scope: 'api:calls:read:basic'.

Query parameterscursorstring

When paging is needed, provide the cursor from the response of the previous API call to bring the next page.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
fromDateTimestringRequired

From date and time in ISO-8601. Use UTC (Z) or a timezone offset such as -07:00. Returns calls on or after this time. For web-conference calls, the date is the scheduled time, otherwise, it's the actual start time.

Example2018-02-18T08:00:00Z
toDateTimestringRequired

To date and time in ISO-8601. Use UTC (Z) or a timezone offset such as -7:00. Returns calls that started before this date and time. For web-conference calls, the date is the scheduled time, otherwise, it's the actual start time.

Example2018-02-18T02:30:00-07:00
workspaceIdstring

Workspace identifier, if supplied the API only returns calls belonging to this workspace.

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='16c6f1f1-ca32-41b8-bdbd-6f4942e17ea9'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
recordsobject (Records)  

Information about the number of records that match the requested filter.

totalRecordsinteger  (int32)    

Total number of records.

Example263
currentPageSizeinteger  (int32)    

Number of records in the current page.

Example100
currentPageNumberinteger  (int32)    

Current page number.

Example0
cursorstring    

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

calls Array of object (CallBasicData)   

A list, in which each item specifies one call.

object  

call's metadata.

idstring    

Gong's unique numeric identifier for the call (up to 20 digits).

Example7782342274025937895
urlstring    

The URL to the page in the Gong web application where the call is available.

Examplehttps://app.gong.io/call?id=7782342274025937895
titlestring    

The title of the call.

ExampleExample call
scheduledstring  (date-time)    

Scheduled date and time of the call in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
startedstring  (date-time)    

The date and time when the call was recorded in the ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T10:30:00Z
durationinteger  (int64)    

The duration of the call, in seconds.

Example460
primaryUserIdstring    

The primary user ID of the team member who hosted the call.

Example234599484848423
directionstring    

Call direction.

Valid values[
  "Inbound",
  "Outbound",
  "Conference",
  "Unknown"
]
systemstring    

The system with which the call was carried out (e.g., WebEx, ShoreTel, etc.).

ExampleOutreach
scopestring    

The scope of the call: 'internal' if all the participants are from the company, 'external' if some participants are not from the company, or 'unknown' if the scope is unknown.

Valid values[
  "Internal",
  "External",
  "Unknown"
]ExampleInternal
mediastring    

Media type

Valid values[
  "Video",
  "Audio"
]ExampleVideo
languagestring    

The language codes (as defined by ISO-639-2B). E.g., eng, fre, spa, ger, and ita. Also used are und (unsupported language), and zxx (not enough speech content for identification).

Exampleeng
workspaceIdstring    

Gong's unique numeric identifier for the call's workspace (up to 20 digits).

Example623457276584334
sdrDispositionstring    

The SDR disposition of the call. This can be an automated value provided by the provider, or manually entered by the rep.

ExampleGot the gatekeeper
clientUniqueIdstring    

The call's unique identifier in the origin recording system (typically a telephony recording system). The identifier is provided to Gong during the call creation via the Public API or through telephony systems integrations.

Example7JEHFRGXDDZFEW2FC4U
customDatastring    

Metadata as was provided to Gong during the call creation via the Public API.

ExampleConference Call
purposestring    

The purpose of the call.

ExampleDemo Call
meetingUrlstring    

The meeting provider URL on which the web conference was recorded.

Examplehttps://zoom.us/j/123
isPrivateboolean    

If the call is private.

Examplefalse
calendarEventIdstring    

The Id of the meeting in Google or Outlook Calendar.

Exampleabcde@google.com

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='0ef8fa57-4cb7-4db1-86ad-1e4b9b559b58'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='422966c3-ed39-494d-9ab0-4ac419068cfe'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

No calls found for the specified period

<select class='api-response-data' aria-label='Media type'><option value='9f2dbd91-aead-4585-b996-3e0fda3ae11a'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='a944170a-3b80-47a6-bdda-d66dbd4879ff'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='d3ee9da1-08e5-4c9d-a7e2-2a10e3371c6b'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
